Bug 815611 - Timidity dependencies not installed by default
Timidity dependencies not installed by default
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: timidity++ (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 00:07 EDT by Andrew Lei
Modified: 2012-05-02 00:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: fluid-soundfont-3.1-8.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-30 22:43:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Lei 2012-04-24 00:07:51 EDT
Description of problem:

When timidity++ is installed via yum, attempting to use timidity to play will get the error:

fluid3gs.cfg: No such file or directory
/etc/timidity.cfg: No such file or directory
timidity: Can't read any configuration file.
Please check /etc/timidity++.cfg or /etc/timidity.cfg

Installing libtimidity, fluid-soundfont-lite-patches, and fluid-soundfont-gs appears to rectify this problem.

Version-Release number of selected component (if applicable):
Fedora 17 Beefy Miracle beta

Steps to Reproduce:
1. Install timidity++ on the Fedora 17 beta
2. Try to use timidity to play a .midi or .mid.
  
Actual results:

fluid3gs.cfg: No such file or directory
/etc/timidity.cfg: No such file or directory
timidity: Can't read any configuration file.
Please check /etc/timidity++.cfg or /etc/timidity.cfg

Expected results:

For a midi file to play
Comment 1 Hans de Goede 2012-04-30 04:30:00 EDT
Thanks for the bug-report. My bad I forgot to check that things would still work without the -gs package when improving the instrument mapping for timidity. I'm preparing fixed fluid-soundfont + timidity++ packages now fixing this. You can expect the update system to post a notice here that updates are available soon.

When this happens, please take a moment to test the update (ie test things work without the 2 extra packages you installed) and then goto the updates system to leave some positive karma for the update.
Comment 2 Fedora Update System 2012-04-30 07:13:34 EDT
fluid-soundfont-3.1-8.fc17,timidity++-2.13.2-31.cvs20111110.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fluid-soundfont-3.1-8.fc17,timidity++-2.13.2-31.cvs20111110.fc17
Comment 3 Fedora Update System 2012-04-30 14:48:04 EDT
Package fluid-soundfont-3.1-8.fc17, timidity++-2.13.2-31.cvs20111110.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fluid-soundfont-3.1-8.fc17 timidity++-2.13.2-31.cvs20111110.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6949/fluid-soundfont-3.1-8.fc17,timidity++-2.13.2-31.cvs20111110.fc17
then log in and leave karma (feedback).
Comment 4 Andrew Lei 2012-04-30 22:43:56 EDT
It works.
Comment 5 Fedora Update System 2012-05-02 00:42:16 EDT
fluid-soundfont-3.1-8.fc17, timidity++-2.13.2-31.cvs20111110.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.